🎉 MiniMax-M2.7: Peak Performance. Ultimate Value. Master the Complex. ➔ Try Now.
curl --request POST \
--url https://api.minimax.io/v1/voice_design \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>' \
--data @- <<EOF
{
"prompt": "Excited and enthusiastic male product reviewer (e.g., tech vlogger), fast-paced, high energy, and persuasive.",
"preview_text": "What is UP, everyone! Today we're unboxing the brand new Gadget X-Pro, and let me tell you, this thing is absolutely insane! The features are next level, you guys are gonna love this!"
}
EOF{
"trial_audio": "hex-encoded audio",
"voice_id": "ttv-voice-2025060717322425-xxxxxxxx",
"base_resp": {
"status_code": 0,
"status_msg": "success"
}
}Use this API to design custom voices by inputting text.
curl --request POST \
--url https://api.minimax.io/v1/voice_design \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>' \
--data @- <<EOF
{
"prompt": "Excited and enthusiastic male product reviewer (e.g., tech vlogger), fast-paced, high energy, and persuasive.",
"preview_text": "What is UP, everyone! Today we're unboxing the brand new Gadget X-Pro, and let me tell you, this thing is absolutely insane! The features are next level, you guys are gonna love this!"
}
EOF{
"trial_audio": "hex-encoded audio",
"voice_id": "ttv-voice-2025060717322425-xxxxxxxx",
"base_resp": {
"status_code": 0,
"status_msg": "success"
}
}Documentation Index
Fetch the complete documentation index at: https://platform.minimax.io/docs/llms.txt
Use this file to discover all available pages before exploring further.
HTTP: Bearer Auth
Bearer API_key, can be found in Account Management>API Keys.The media type of the request body. Must be set to application/json to ensure the data is sent in JSON format.
application/json Voice design request parameters
Voice description.
The text used for generating a preview audio sample.
Note: Generating preview audio incurs a fee of $30 per 1M characters.
500Custom voice ID for the generated voice. If not provided, a unique voice_id will be automatically created and returned.